Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/dcfldd: new aport

From: Jesse Young <jlyo_at_jlyo.org>
Date: Tue, 15 Sep 2015 09:42:09 -0500

---
 testing/dcfldd/APKBUILD           | 49 +++++++++++++++++++++++++++++++++++++++
 testing/dcfldd/dcfldd-error.patch | 15 ++++++++++++
 2 files changed, 64 insertions(+)
 create mode 100644 testing/dcfldd/APKBUILD
 create mode 100644 testing/dcfldd/dcfldd-error.patch
diff --git a/testing/dcfldd/APKBUILD b/testing/dcfldd/APKBUILD
new file mode 100644
index 0000000..facca26
--- /dev/null
+++ b/testing/dcfldd/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Jesse Young <jlyo_at_jlyo.org>
+# Maintainer: Jesse Young <jlyo_at_jlyo.org>
+
+pkgname=dcfldd
+pkgver=1.3.4.1
+_pkgver="${pkgver%.*}-${pkgver##*.}"
+pkgrel=0
+pkgdesc="DCFL (DoD Computer Forensics Lab) dd replacement with hashing"
+url="http://dcfldd.sourceforge.net/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${_pkgver}.tar.gz
+	dcfldd-error.patch"
+
+_builddir="${srcdir}/${pkgname}-${_pkgver}"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		--mandir=/usr/share/man \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="952026c872f11b53ce0ec6681a3eef0a  dcfldd-1.3.4-1.tar.gz
+2e2ee971748845947312f5345b96e940  dcfldd-error.patch"
+sha256sums="f5143a184da56fd5ac729d6d8cbcf9f5da8e1cf4604aa9fb97c59553b7e6d5f8  dcfldd-1.3.4-1.tar.gz
+004408bab8296050107e92e5a5fdf14e3b145acb324bfcf697a29ca9f11218d4  dcfldd-error.patch"
+sha512sums="04b53adf62c6b468ff816e2cd94cf360eb5315eb980e2aa7d71afae706ec9c4683430269e82d712608be265710907fdaaa1316e4f734b7481ee9395a37926c7a  dcfldd-1.3.4-1.tar.gz
+f0c33fbc5f2d2eb8075d7faa460987d441da04be6831f85743a0ffd5d58796722395efc8c9dd7137a0b8bbc017b9995cf18b3ef37e56e17fdbd842fcaa573c83  dcfldd-error.patch"
diff --git a/testing/dcfldd/dcfldd-error.patch b/testing/dcfldd/dcfldd-error.patch
new file mode 100644
index 0000000..5bf0e60
--- /dev/null
+++ b/testing/dcfldd/dcfldd-error.patch
_at_@ -0,0 +1,15 @@
+--- a/util.c
++++ b/util.c
+_at_@ -135,9 +133,9 @@
+         && ioctl (fdesc, MTIOCGET, &s2) == 0
+         && MT_SAME_POSITION (s1, s2))
+     {
++        fprintf(stderr, "%s: warning: working around lseek kernel bug for file (%s)\n"
++  		"    of mt_type=0x%0lx -- see <sys/mtio.h> for the list of types\n",
++		program_name, filename, s2.mt_type);
+-        error (0, 0, _("warning: working around lseek kernel bug for file (%s)\n\
+-  of mt_type=0x%0lx -- see <sys/mtio.h> for the list of types"),
+-               filename, s2.mt_type);
+         errno = 0;
+         new_position = -1;
+     }
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Sep 15 2015 - 09:42:09 GMT